#ifndef TextBlockFlags_h
#define TextBlockFlags_h

// $Id: TextBlockFlags.h,v 1.4 2009/09/09 02:29:37 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA 02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file TextBlockFlags.h
  \brief handles block tags
  \author Hugo Pereira
  \version $Revision: 1.4 $
  \date $Date: 2009/09/09 02:29:37 $
*/

//! text block properties
namespace TextBlock
{

  enum
  {

    //! no tag
    NONE = 0,

    //! block has background color
    HAS_BACKGROUND = 1<<0,

    //! block is current
    CURRENT_BLOCK = 1<<1

  };

};


#endif
